Bug Hunting Session
Bug 89116 - Impress: reposition the default anchor position of Presentation toolbar to be above the Slides panel
Summary: Impress: reposition the default anchor position of Presentation toolbar to be...
Status: RESOLVED WONTFIX
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
4.4.0.3 release
Hardware: Other All
: low minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: ImpressDraw-Toolbars
  Show dependency treegraph
 
Reported: 2015-02-04 12:24 UTC by Henrik
Modified: 2015-05-01 15:14 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Screenshot (90.70 KB, image/png)
2015-02-04 12:24 UTC, Henrik
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Henrik 2015-02-04 12:24:58 UTC
Created attachment 113119 [details]
Screenshot

Having the Presentation Toolbar right above the Slide Pane is in my opinion the most natural and accesible place to have those buttons.

- It's close to where the visible actions takes place.
- They are some of the most frequently used buttons when one doesn't use keyboard shortcuts.
- Microsoft Power Point also places those buttons right above their slide pane, and as a former user of Power Point, my cursor constantly moves to that area when having to create a new slide.

I therefore think that this should be the default position of the Presentation Toolbar.

What are your thoughts?
Comment 1 Buovjaga 2015-02-06 17:54:21 UTC
Let's give this to the design team to mull over.
Comment 2 V Stuart Foote 2015-02-06 20:34:06 UTC
Sure, from an Impress UI perspective, moving the default anchor point for the Presentation toolbar--now appended to the Standard toolbar--would be more functional.

Its default anchor should be on the left margin above the "Slides" Slide pane--  below the Standard toolbar rather than appended to it.
Comment 3 Yousuf Philips (jay) (retired) 2015-02-11 02:39:08 UTC
With my intent to eliminate the second toolbar row (bug 87676), in addition to the most frequent means of adding a slide is for a user to right-click in the slides pane, i think its fine where it is.
Comment 4 V Stuart Foote 2015-02-11 13:07:15 UTC
(In reply to Jay Philips from comment #3)
> With my intent to eliminate the second toolbar row (bug 87676), in addition
> to the most frequent means of adding a slide is for a user to right-click in
> the slides pane, i think its fine where it is.

OK, but even if not shown by default, when toolbar is activated where to position it? Seems a simple adjustment to target its anchor to left edge when not floating.

Might also need to add additional button actions from the toolbar to the "Slides" slide pane's context menu?
Comment 5 Yousuf Philips (jay) (retired) 2015-02-11 15:33:24 UTC
(In reply to V Stuart Foote from comment #4)
> OK, but even if not shown by default, when toolbar is activated where to
> position it? Seems a simple adjustment to target its anchor to left edge
> when not floating.

Didnt fully get what you meant here. Presently the presentation toolbar is positioned on the right of the standard toolbar and when a user activates master slide mode, the presentation toolbar is disabled.

> Might also need to add additional button actions from the toolbar to the
> "Slides" slide pane's context menu?

Can you mention which ones you think need adding as i dont see any.
Comment 6 Henrik 2015-05-01 09:30:58 UTC
I know it's not as easy as simply moving the default location of the toolbars, but would it be possible to add the buttons from the Presentation Toolbar to the top of the Slide Panel? 
I think that would be an even better option than having them up in the toolbar since they are directly affecting the slides themselves and not just the content of the slides or the entire document.
Comment 7 Yousuf Philips (jay) (retired) 2015-05-01 14:35:36 UTC
I have suggested that the view tabs go at the top of the slide pane (bug 87672) and the slide toolbar buttons go at the bottom of the pane (attachment 113696 [details]).
Comment 8 Henrik 2015-05-01 14:49:16 UTC
(In reply to Yousuf (Jay) Philips from comment #7)
> I have suggested that the view tabs go at the top of the slide pane (bug
> 87672) and the slide toolbar buttons go at the bottom of the pane
> (attachment 113696 [details]).

Sounds (and looks) excellent! I prefer that suggestion over the one in this bug. On the basis of the removal of the second tool bar and the better suggestion in bug 89668, I suggest that this bug should be closed.
Comment 9 Yousuf Philips (jay) (retired) 2015-05-01 15:14:15 UTC
Glad you like the suggestions Henrik and we look forward to more of your suggestions. :D